import { _decorator, Component, Node } from "cc";
import BaseUI from "../../scripts/base/BaseUI";
import { Hall } from "../hall/Hall";
import {
  BindGameInputLayer,
  BindGameInputLayerListener,
} from "./BindGameInputLayer";
import { Tips } from "../../scripts/mgr/Tips";
const { ccclass, property } = _decorator;

@ccclass("BindGameLayer")
export class BindGameLayer
  extends BaseUI
  implements BindGameInputLayerListener
{
  static async show() {
    let layer = await Hall.ins.showLayer("prefab/layer/BindGameLayer");
    layer.getComponent(BindGameLayer).init();
  }

  protected onLoad(): void {
    super.onLoad();
    this.FindNode("BindGameItem").active = false;
  }

  private init() {}

  OnInput(input: string): void {
    Tips.show("綁定成功");
    this.setText("lbl_code_banana", input);
  }

  protected simpleOnBtnClick(name: string): void {
    switch (name) {
      case "btn_bind_game_pvz":
        Tips.show("Coming soon");
        break;
    }
  }
}
